Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.wps.portlets.struts.plugins
Class WpsStrutsTilesPlugin

    java.lang.Object
      TilesPlugin
          com.ibm.wps.portlets.struts.plugins.WpsStrutsTilesPlugin

    public class WpsStrutsTilesPlugin

extends TilesPlugin

The WPS Tiles Plugin is used to initialize Tiles in WebSphere Portal on top of the Struts Portlet Framework. This plugin is to be used with Struts 1.1 in association with WpsStrutsTilesRequestProcessor. It should be declared in all "struts-config.xml" files.

This plugin ensures a common definition factory for all modules. The definition factory configuration is read first from "web.xml" (for backward compatibility), then it is overloaded by values found in plugin property values.

The plugin changes the Struts configuration by specifying the WpsStrutsTilesRequestProcessor as the request processor. If the user has specified another request processor, this plugin should subclass the WpsStrutsTilesRequestProcessor class.

In case of several modules, the definition factory configuration is read by the first Tiles plugin to be initialized. The order is determined by the order of modules declaration in web.xml. The first module is always the default if it exists. The plugin should be declared in each struts-config.xml file in order to properly intialize the request processor.

Since:
  4.2

Field Summary
`protected static MessageResources` | `messages` The message resources for the Struts Portlet Framework.

Constructor Summary
`WpsStrutsTilesPlugin()` WpsStrutsTilesPlugin constructor.

Method Summary
`protected void` | `initRequestProcessorClass(ModuleConfig config)` Sets the request processor to the appropriate WPS Struts Tiles RequestProcessor.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### messages

    protected static MessageResources messages

  The message resources for the Struts Portlet Framework.

Constructor Detail

### WpsStrutsTilesPlugin

    public WpsStrutsTilesPlugin()

  WpsStrutsTilesPlugin constructor.

Method Detail

### initRequestProcessorClass

    protected void initRequestProcessorClass(ModuleConfig config)
                                      throws ServletException

  Sets the request processor to the appropriate WPS Struts Tiles RequestProcessor. Checks if a request processor is specified. If it is, check if it extends the appropriate WpsStrutsTilesRequestProcessor class. If not, set the processor class to WpsStrutsTilesRequestProcessor.

  Parameters:
    `config` - ModuleConfig for the module with which this plugin is associated
  Throws:
    `ServletException` - If an error occur

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD